[youtubei.js](../../../README.md) / [APIResponseTypes](../README.md) / SearchRequest

# Type Alias: SearchRequest

> **SearchRequest**: `object`

## Type declaration

### params?

> `optional` **params**: `string`

### query?

> `optional` **query**: `string`

### suggestStats?

> `optional` **suggestStats**: `unknown`

### webSearchboxStatsUrl?

> `optional` **webSearchboxStatsUrl**: `string`

## Defined in

[src/parser/types/CommandEndpoints.ts:117](https://github.com/LuanRT/YouTube.js/blob/e54e499ff553dab51e6d9d1aebc090b50fec29ba/src/parser/types/CommandEndpoints.ts#L117)
